[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/kdepim/devel kdepim.spec, 1.122, 1.123 kdepim-3.5.3-gcc-4.1.1-8.patch, 1.1, NONE kdepim-3.5.5-automakeversion.patch, 1.1, NONE



Author: rdieter

Update of /cvs/pkgs/rpms/kdepim/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv14820

Modified Files:
	kdepim.spec 
Removed Files:
	kdepim-3.5.3-gcc-4.1.1-8.patch 
	kdepim-3.5.5-automakeversion.patch 
Log Message:
* Thu May 10 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.6-7
- +BR: gpgme-devel gnokii-devel libmal-devel
- +Requires: pinentry-gui
- drop unused/deprecated patches
- revert to kinder/gentler scriptlets
- sanitize .la files a bit



Index: kdepim.spec
===================================================================
RCS file: /cvs/pkgs/rpms/kdepim/devel/kdepim.spec,v
retrieving revision 1.122
retrieving revision 1.123
diff -u -r1.122 -r1.123
--- kdepim.spec	5 Apr 2007 14:15:53 -0000	1.122
+++ kdepim.spec	11 May 2007 00:09:42 -0000	1.123
@@ -3,15 +3,17 @@
 
 %define kdelibs_epoch 6
 %define kdebase_epoch 6
-%define qt_version 1:3.3.7
-%define arts_version 8:1.5.6
 %define make_cvs 1
 
-Version: 3.5.6
-Release: 4%{?dist}
+%define _with_gnokii --with-gnokii
+%define _with_mal --with-mal
+
 Name: kdepim
 Summary: PIM (Personal Information Manager) for KDE
 Epoch: 6
+Version: 3.5.6
+Release: 7%{?dist}
+
 Group: Applications/Productivity
 License: GPL
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
@@ -34,31 +36,47 @@
 Patch1004: kdepim-3.5.6-kmail-imap.patch
 Patch1005: timezone-update.diff.bz2
 
-Requires: kdebase >= %{kdebase_epoch}:%{version}
+Requires: kdelibs >= %{kdelibs_epoch}:%{version}
 Requires(post): /sbin/ldconfig
 Requires(postun): /sbin/ldconfig
 
-BuildRequires: perl
-BuildRequires: bison
-BuildRequires: flex
+BuildRequires: bison flex
 BuildRequires: desktop-file-utils
-BuildRequires: kdebase-devel >= %{kdebase_epoch}:%{version}
+BuildRequires: kdelibs-devel >= %{kdelibs_epoch}:%{version}
+# kmix (?) -- Rex
+BuildRequires: kdemultimedia
+# kttsd
+BuildRequires: kdeaccessibility
 BuildRequires: zlib-devel
 BuildRequires: libart_lgpl-devel
-BuildRequires: audiofile-devel
 BuildRequires: cyrus-sasl-devel
 BuildRequires: lockdev-devel
 BuildRequires: python-devel
-BuildRequires: libXpm-devel
-BuildRequires: libXScrnSaver-devel
-BuildRequires: arts-devel >= %{arts_version}
 %ifnarch s390 s390x
-BuildRequires: bluez-libs-devel
-BuildRequires: pilot-link-devel >= 0.11
+%if 0%{?fedora} > 6
+%define _with_pilot_link --with-pilot-link
+BuildRequires: pilot-link-devel >= 0.12
+# AvantGo support via libmal
+%{?_with_mal:BuildRequires: libmal-devel}
+%endif
+%endif
+%{?_with_gnokii:BuildRequires: gnokii-devel}
+## Crypto Stuff from http://kmail.kde.org/kmail-pgpmime-howto.html
+BuildRequires: gpgme-devel
+%if 0%{?fedora} > 4  || 0%{?rhel} > 4
+BuildRequires: libXpm-devel libXScrnSaver-devel
+%endif
+%if %{make_cvs}
+BuildRequires: automake libtool
+%endif
+
+##Optional bits
+Requires(hint): pinentry-gui
+
+%if "%{?_with_gnokii:1}" == "1"
+Obsoletes: %{name}-gnokii < %{epoch}:%{version}-%{release}
+Provides:  %{name}-gnokii = %{epoch}:%{version}-%{release}
 %endif
-BuildRequires: autoconf
-BuildRequires: automake
-BuildRequires: libtool
 
 %description
 A PIM (Personal Information Manager) for KDE.
@@ -68,7 +86,6 @@
 Group: Development/Libraries
 Requires: %{name} = %{epoch}:%{version}-%{release}
 Requires: kdelibs-devel >= %{kdelibs_epoch}:%{version}
-
 %description devel
 Development files for %{name}.
 Install %{name}-devel if you want to write or compile %{name} plugins.
@@ -107,7 +124,6 @@
    --enable-new-ldflags \
    --disable-dependency-tracking \
    --disable-rpath \
-   --disable-gcc-hidden-visibility \
 %if %{debug} == 0
    --disable-debug \
    --disable-warnings \
@@ -118,7 +134,11 @@
    --includedir=%{_includedir}/kde \
    --with-gpg=%{_bindir}/gpg \
    --with-gpgsm=%{_bindir}/gpgsm \
-   --with-sasl
+   --with-sasl \
+  %{?_with_gnokii} %{!?_with_gnokii:--without-gnokii} \
+  %{?_with_mal} %{!?_with_mal:--without-mal} \
+  %{?_with_pilot_link} %{!?_with_pilot_link:--without-pilot-link}
+
 
 make %{?_smp_mflags}
 
@@ -135,6 +155,8 @@
 done
 popd
 
+## FIXME.  *ALL* of these?  Surely, non-kde users should get to see
+## some of these gems.  -- Rex
 for i in konsolekalendar knotes kpilotdaemon kpilot KMail KNode Kontact \
    KOrn akregator kalarm groupwarewizard kpalmdoc ktnef multisynk ; do
    if [ -f %{buildroot}%{_datadir}/applications/kde/$i.desktop ] ; then
@@ -142,19 +164,30 @@
    fi
 done
 
+## remove references to extraneous/optional libraries in .la files (#170602)
+find $RPM_BUILD_ROOT%{_libdir} -name "*.la" | xargs \
+ sed -i \
+ -e "s -lpng@@g" \
+ -e "s %{_libdir}/libqgpgme.la@@g" \
+ -e "s %{_libdir}/libgpgme++.la@@g" \
+ -e "s -lgpgme@@g" \
+ -e "s -lgpg-error@@g"
+
 %post
 /sbin/ldconfig ||:
-%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
-%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
-%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
-%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :
+for i in crystalsvg hicolor locolor ; do
+ touch --no-create %{_datadir}/icons/$i 2>/dev/null || :
+ %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/$i 2>/dev/null || :
+done
+%{_bindir}/update-desktop-database >& /dev/null ||:
 
 %postun
 /sbin/ldconfig ||:
-%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
-%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
-%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
-%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :
+for i in crystalsvg hicolor locolor ; do
+ touch --no-create %{_datadir}/icons/$i 2>/dev/null || :
+ %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/$i 2>/dev/null || :
+done
+%{_bindir}/update-desktop-database >& /dev/null ||:
 
 %clean
 rm -rf %{buildroot}
@@ -203,6 +236,13 @@
 %exclude %{_libdir}/libremotekonnector.so
 
 %changelog
+* Thu May 10 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.6-7
+- +BR: gpgme-devel gnokii-devel libmal-devel
+- +Requires: pinentry-gui
+- drop unused/deprecated patches
+- revert to kinder/gentler scriptlets
+- sanitize .la files a bit
+
 * Mon Mar 26 2007 Than Ngo <than redhat com> - 3.5.6-4.fc7
 - upstream patches
 


--- kdepim-3.5.3-gcc-4.1.1-8.patch DELETED ---


--- kdepim-3.5.5-automakeversion.patch DELETED ---


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]